--- old/usr/src/test/zfs-tests/tests/functional/rsend/rsend_011_pos.ksh	Wed Aug 31 16:21:29 2016
+++ new/usr/src/test/zfs-tests/tests/functional/rsend/rsend_011_pos.ksh	Wed Aug 31 16:21:29 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/rsend/rsend.kshlib
@@ -46,7 +46,7 @@
 function cleanup
 {
 	export __ZFS_POOL_RESTRICT="$POOL $POOL2"
-	log_must $ZFS unmount -a
+	log_must zfs unmount -a
 	unset __ZFS_POOL_RESTRICT
 	log_must cleanup_pool $POOL
 	log_must cleanup_pool $POOL2
@@ -62,7 +62,7 @@
 #
 for prop in $(fs_inherit_prop); do
 	value=$(get_prop $prop $POOL/$FS)
-	log_must $ZFS set $prop=$value $POOL/$FS
+	log_must zfs set $prop=$value $POOL/$FS
 done
 
 #
@@ -70,17 +70,17 @@
 #
 for ds in "$POOL/$FS/fs1" "$POOL/$FS/fs1/fs2" "$POOL/$FS/fs1/fclone" ; do
 	for prop in $(fs_inherit_prop) ; do
-		$ZFS inherit $prop $ds
+		zfs inherit $prop $ds
 		if (($? !=0 )); then
-			log_fail "$ZFS inherit $prop $ds"
+			log_fail "zfs inherit $prop $ds"
 		fi
 	done
 done
 if is_global_zone ; then
 	for prop in $(vol_inherit_prop) ; do
-		$ZFS inherit $prop $POOL/$FS/vol
+		zfs inherit $prop $POOL/$FS/vol
 		if (($? !=0 )); then
-			log_fail "$ZFS inherit $prop $POOL/$FS/vol"
+			log_fail "zfs inherit $prop $POOL/$FS/vol"
 		fi
 	done
 fi
@@ -89,9 +89,9 @@
 # Verify datasets can be backup and restore correctly
 # Unmount $POOL/$FS to avoid two fs mount in the same mountpoint
 #
-log_must eval "$ZFS send -R $POOL@final > $BACKDIR/pool-R"
-log_must $ZFS unmount -f $POOL/$FS
-log_must eval "$ZFS receive -d -F $POOL2 < $BACKDIR/pool-R"
+log_must eval "zfs send -R $POOL@final > $BACKDIR/pool-R"
+log_must zfs unmount -f $POOL/$FS
+log_must eval "zfs receive -d -F $POOL2 < $BACKDIR/pool-R"
 
 dstds=$(get_dst_ds $POOL $POOL2)
 #
--- old/usr/src/test/zfs-tests/tests/functional/rsend/rsend_012_pos.ksh	Wed Aug 31 16:21:29 2016
+++ new/usr/src/test/zfs-tests/tests/functional/rsend/rsend_012_pos.ksh	Wed Aug 31 16:21:29 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/rsend/rsend.kshlib
@@ -51,7 +51,7 @@
 	shift 2
 	typeset value=$(random_get $@)
 
-	log_must eval "$ZFS set $prop='$value' $dtst"
+	log_must eval "zfs set $prop='$value' $dtst"
 }
 
 function edited_prop
@@ -62,15 +62,15 @@
 
 	case $behaviour in
 		"get")
-			typeset props=$($ZFS inherit 2>&1 | \
-				$AWK '$2=="YES" {print $1}' | \
-				$EGREP -v "^vol|\.\.\.$")
+			typeset props=$(zfs inherit 2>&1 | \
+				awk '$2=="YES" {print $1}' | \
+				egrep -v "^vol|\.\.\.$")
 			for item in $props ; do
 				if [[ $item == "mlslabel" ]] && \
 					! is_te_enabled ; then
 					continue
 				fi
-				$ZFS get -H -o property,value $item $ds >> \
+				zfs get -H -o property,value $item $ds >> \
 					$backfile
 				if (($? != 0)); then
 					log_fail "zfs get -H -o property,value"\
@@ -85,9 +85,9 @@
 
 			typeset prop value
 			while read prop value ; do
-				eval $ZFS set $prop='$value' $ds
+				eval zfs set $prop='$value' $ds
 				if (($? != 0)); then
-					log_fail "$ZFS set $prop=$value $ds"
+					log_fail "zfs set $prop=$value $ds"
 				fi
 			done < $backfile
 			;;
@@ -106,17 +106,17 @@
 
 	typeset prop
 	for prop in $(fs_inherit_prop) ; do
-		log_must $ZFS inherit $prop $POOL
-		log_must $ZFS inherit $prop $POOL2
+		log_must zfs inherit $prop $POOL
+		log_must zfs inherit $prop $POOL2
 	done
 
 	#if is_shared $POOL; then
-	#	log_must $ZFS set sharenfs=off $POOL
+	#	log_must zfs set sharenfs=off $POOL
 	#fi
 	log_must setup_test_model $POOL
 
 	if [[ -d $TESTDIR ]]; then
-		log_must $RM -rf $TESTDIR/*
+		log_must rm -rf $TESTDIR/*
 	fi
 }
 
@@ -165,8 +165,8 @@
 #
 # Duplicate POOL2 for testing
 #
-log_must eval "$ZFS send -R $POOL@final > $BACKDIR/pool-final-R"
-log_must eval "$ZFS receive -d -F $POOL2 < $BACKDIR/pool-final-R"
+log_must eval "zfs send -R $POOL@final > $BACKDIR/pool-final-R"
+log_must eval "zfs receive -d -F $POOL2 < $BACKDIR/pool-final-R"
 
 #
 # Define all the POOL/POOL2 datasets pair
@@ -188,7 +188,7 @@
 done
 
 
-$ZPOOL upgrade -v | $GREP "Snapshot properties" > /dev/null 2>&1
+zpool upgrade -v | grep "Snapshot properties" > /dev/null 2>&1
 if (( $? == 0 )) ; then
 	i=0
 	while ((i < ${#pair[@]})); do
--- old/usr/src/test/zfs-tests/tests/functional/rsend/rsend_013_pos.ksh	Wed Aug 31 16:21:30 2016
+++ new/usr/src/test/zfs-tests/tests/functional/rsend/rsend_013_pos.ksh	Wed Aug 31 16:21:30 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/rsend/rsend.kshlib
@@ -63,20 +63,20 @@
 #
 # Duplicate POOL2 for testing
 #
-log_must eval "$ZFS send -R $POOL@final > $BACKDIR/pool-final-R"
-log_must eval "$ZFS receive -dF $POOL2 < $BACKDIR/pool-final-R"
+log_must eval "zfs send -R $POOL@final > $BACKDIR/pool-final-R"
+log_must eval "zfs receive -dF $POOL2 < $BACKDIR/pool-final-R"
 
-log_must $ZFS destroy -Rf $POOL/$FS
-log_must $ZFS destroy -Rf $POOL/pclone
+log_must zfs destroy -Rf $POOL/$FS
+log_must zfs destroy -Rf $POOL/pclone
 
 if is_global_zone ; then
-	log_must $ZFS destroy -Rf $POOL/vol
+	log_must zfs destroy -Rf $POOL/vol
 fi
-log_must $ZFS snapshot -r $POOL@destroy
+log_must zfs snapshot -r $POOL@destroy
 
-log_must eval "$ZFS send -R -I @final $POOL@destroy > " \
+log_must eval "zfs send -R -I @final $POOL@destroy > " \
 	"$BACKDIR/pool-final-destroy-IR"
-log_must eval "$ZFS receive -dF $POOL2 < $BACKDIR/pool-final-destroy-IR"
+log_must eval "zfs receive -dF $POOL2 < $BACKDIR/pool-final-destroy-IR"
 
 dstds=$(get_dst_ds $POOL $POOL2)
 log_must cmp_ds_subs $POOL $dstds
--- old/usr/src/test/zfs-tests/tests/functional/rsend/rsend_014_pos.ksh	Wed Aug 31 16:21:30 2016
+++ new/usr/src/test/zfs-tests/tests/functional/rsend/rsend_014_pos.ksh	Wed Aug 31 16:21:30 2016
@@ -12,7 +12,7 @@
 #
 
 #
-# Copyright (c) 2014 by Delphix. All rights reserved.
+# Copyright (c) 2014, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -33,10 +33,10 @@
 log_assert "zfs send will work on filesystems and volumes in a read-only pool."
 log_onexit cleanup_pool $POOL2
 
-log_must eval "$ZPOOL export $POOL"
-log_must eval "$ZPOOL import -o readonly=on $POOL"
-log_must eval "$ZFS send -R $POOL@final > $BACKDIR/pool-final-R"
-log_must eval "$ZFS receive -d -F $POOL2 < $BACKDIR/pool-final-R"
+log_must eval "zpool export $POOL"
+log_must eval "zpool import -o readonly=on $POOL"
+log_must eval "zfs send -R $POOL@final > $BACKDIR/pool-final-R"
+log_must eval "zfs receive -d -F $POOL2 < $BACKDIR/pool-final-R"
 
 dstds=$(get_dst_ds $POOL $POOL2)
 log_must cmp_ds_subs $POOL $dstds
@@ -44,10 +44,10 @@
 
 log_must cleanup_pool $POOL2
 
-log_must eval "$ZFS send -R $POOL/$FS@final > $BACKDIR/fs-final-R"
-log_must eval "$ZFS receive -d $POOL2 < $BACKDIR/fs-final-R"
-log_must eval "$ZPOOL export $POOL"
-log_must eval "$ZPOOL import $POOL"
+log_must eval "zfs send -R $POOL/$FS@final > $BACKDIR/fs-final-R"
+log_must eval "zfs receive -d $POOL2 < $BACKDIR/fs-final-R"
+log_must eval "zpool export $POOL"
+log_must eval "zpool import $POOL"
 
 dstds=$(get_dst_ds $POOL/$FS $POOL2)
 log_must cmp_ds_subs $POOL/$FS $dstds
--- old/usr/src/test/zfs-tests/tests/functional/rsend/rsend_019_pos.ksh	Wed Aug 31 16:21:30 2016
+++ new/usr/src/test/zfs-tests/tests/functional/rsend/rsend_019_pos.ksh	Wed Aug 31 16:21:30 2016
@@ -12,7 +12,7 @@
 #
 
 #
-# Copyright (c) 2014 by Delphix. All rights reserved.
+# Copyright (c) 2014, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -43,8 +43,8 @@
 streamfs=$POOL/stream
 
 test_fs_setup $POOL $POOL2
-resume_test "$ZFS send -v $sendfs@a" $streamfs $recvfs
-resume_test "$ZFS send -v -i @a $sendfs@b" $streamfs $recvfs
+resume_test "zfs send -v $sendfs@a" $streamfs $recvfs
+resume_test "zfs send -v -i @a $sendfs@b" $streamfs $recvfs
 file_check $sendfs $recvfs
 
 log_pass "Verify resumability of a full and incremental ZFS send/receive " \
--- old/usr/src/test/zfs-tests/tests/functional/rsend/rsend_020_pos.ksh	Wed Aug 31 16:21:30 2016
+++ new/usr/src/test/zfs-tests/tests/functional/rsend/rsend_020_pos.ksh	Wed Aug 31 16:21:30 2016
@@ -12,7 +12,7 @@
 #
 
 #
-# Copyright (c) 2014 by Delphix. All rights reserved.
+# Copyright (c) 2014, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -42,7 +42,7 @@
 streamfs=$POOL/stream
 
 test_fs_setup $POOL $POOL2
-resume_test "$ZFS send -D -v $sendfs@a" $streamfs $recvfs
+resume_test "zfs send -D -v $sendfs@a" $streamfs $recvfs
 file_check $sendfs $recvfs
 
 log_pass "Verify resumability of full ZFS send/receive with the -D " \
--- old/usr/src/test/zfs-tests/tests/functional/rsend/rsend_021_pos.ksh	Wed Aug 31 16:21:30 2016
+++ new/usr/src/test/zfs-tests/tests/functional/rsend/rsend_021_pos.ksh	Wed Aug 31 16:21:30 2016
@@ -12,7 +12,7 @@
 #
 
 #
-# Copyright (c) 2014 by Delphix. All rights reserved.
+# Copyright (c) 2014, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -44,8 +44,8 @@
 streamfs=$POOL/stream
 
 test_fs_setup $POOL $POOL2
-resume_test "$ZFS send -v -e $sendfs@a" $streamfs $recvfs
-resume_test "$ZFS send -v -e -i @a $sendfs@b" $streamfs $recvfs
+resume_test "zfs send -v -e $sendfs@a" $streamfs $recvfs
+resume_test "zfs send -v -e -i @a $sendfs@b" $streamfs $recvfs
 file_check $sendfs $recvfs
 
 log_pass "Verify resumability of a full and incremental ZFS send/receive " \
--- old/usr/src/test/zfs-tests/tests/functional/rsend/rsend_022_pos.ksh	Wed Aug 31 16:21:30 2016
+++ new/usr/src/test/zfs-tests/tests/functional/rsend/rsend_022_pos.ksh	Wed Aug 31 16:21:30 2016
@@ -12,7 +12,7 @@
 #
 
 #
-# Copyright (c) 2014 by Delphix. All rights reserved.
+# Copyright (c) 2014, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -47,13 +47,13 @@
 streamfs=$POOL/stream
 
 test_fs_setup $POOL $POOL2
-log_must $ZFS bookmark $sendfs@a $sendfs#bm_a
-log_must $ZFS destroy $sendfs@a
-log_must $ZFS receive -v $recvfs </$POOL/initial.zsend
-resume_test "$ZFS send -i \#bm_a $sendfs@b" $streamfs $recvfs
-log_must $ZFS destroy -r -f $sendfs
-log_must $ZFS receive -v $sendfs </$POOL/initial.zsend
-log_must $ZFS receive -v $sendfs </$POOL/incremental.zsend
+log_must zfs bookmark $sendfs@a $sendfs#bm_a
+log_must zfs destroy $sendfs@a
+log_must zfs receive -v $recvfs </$POOL/initial.zsend
+resume_test "zfs send -i \#bm_a $sendfs@b" $streamfs $recvfs
+log_must zfs destroy -r -f $sendfs
+log_must zfs receive -v $sendfs </$POOL/initial.zsend
+log_must zfs receive -v $sendfs </$POOL/incremental.zsend
 file_check $sendfs $recvfs
 
 log_pass "Verify resumability of an incremental ZFS send/receive with ZFS " \
--- old/usr/src/test/zfs-tests/tests/functional/rsend/rsend_024_pos.ksh	Wed Aug 31 16:21:30 2016
+++ new/usr/src/test/zfs-tests/tests/functional/rsend/rsend_024_pos.ksh	Wed Aug 31 16:21:30 2016
@@ -12,7 +12,7 @@
 #
 
 #
-# Copyright (c) 2014 by Delphix. All rights reserved.
+# Copyright (c) 2014, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -44,8 +44,8 @@
 streamfs=$POOL/stream
 
 test_fs_setup $POOL $POOL2
-log_must $ZFS unmount $sendfs
-resume_test "$ZFS send $sendfs" $streamfs $recvfs
+log_must zfs unmount $sendfs
+resume_test "zfs send $sendfs" $streamfs $recvfs
 file_check $sendfs $recvfs
 
 log_pass "Verify resumability of a full ZFS send/receive with the source " \
--- old/usr/src/test/zfs-tests/tests/functional/rsend/setup.ksh	Wed Aug 31 16:21:30 2016
+++ new/usr/src/test/zfs-tests/tests/functional/rsend/setup.ksh	Wed Aug 31 16:21:30 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013, 2014 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/rsend/rsend.kshlib
@@ -35,10 +35,10 @@
 verify_disk_count "$DISKS" 2
 
 if is_global_zone ; then
-	log_must $ZPOOL create $POOL $DISK1
-	log_must $ZPOOL create $POOL2 $DISK2
+	log_must zpool create $POOL $DISK1
+	log_must zpool create $POOL2 $DISK2
 fi
-log_must $MKDIR $BACKDIR $TESTDIR
+log_must mkdir $BACKDIR $TESTDIR
 
 log_must setup_test_model $POOL
 
--- old/usr/src/test/zfs-tests/tests/functional/scrub_mirror/cleanup.ksh	Wed Aug 31 16:21:30 2016
+++ new/usr/src/test/zfs-tests/tests/functional/scrub_mirror/cleanup.ksh	Wed Aug 31 16:21:30 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -35,8 +35,8 @@
 
 verify_runnable "global"
 
-$DF -F zfs -h | $GREP "$TESTFS " >/dev/null
-[[ $? == 0 ]] && log_must $ZFS umount -f $TESTDIR
+df -F zfs -h | grep "$TESTFS " >/dev/null
+[[ $? == 0 ]] && log_must zfs umount -f $TESTDIR
 destroy_pool $TESTPOOL
 
 # recreate and destroy a zpool over the disks to restore the partitions to
--- old/usr/src/test/zfs-tests/tests/functional/scrub_mirror/scrub_mirror_common.kshlib	Wed Aug 31 16:21:31 2016
+++ new/usr/src/test/zfs-tests/tests/functional/scrub_mirror/scrub_mirror_common.kshlib	Wed Aug 31 16:21:31 2016
@@ -25,7 +25,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 . $STF_SUITE/tests/functional/scrub_mirror/default.cfg
 
@@ -42,20 +42,20 @@
 
 	while (( atfile < FILE_COUNT )); do
 		files[$atfile]=$TESTDIR/file.$atfile
-		log_must $FILE_WRITE -o create -f $TESTDIR/file.$atfile \
+		log_must file_write -o create -f $TESTDIR/file.$atfile \
 			-b $FILE_SIZE -c 1
-		cksums[$atfile]=$($CKSUM ${files[$atfile]})
+		cksums[$atfile]=$(cksum ${files[$atfile]})
 		(( atfile = atfile + 1 ))
 	done
 
 	# dd the affected side of the mirror
-	log_must $DD if=$OVERWRITING_DEVICE of=/dev/dsk/$AFFECTED_DEVICE \
+	log_must dd if=$OVERWRITING_DEVICE of=/dev/dsk/$AFFECTED_DEVICE \
 		seek=8 bs=$DD_BLOCK count=$(( DD_COUNT - 8 )) conv=notrunc
 
-	log_must $ZPOOL scrub $POOL
+	log_must zpool scrub $POOL
 
 	while is_pool_scrubbing $POOL; do
-		$SLEEP 2
+		sleep 2
 	done
 
 	atfile=0
@@ -63,11 +63,11 @@
 	typeset -i failedcount=0
 	while (( atfile < FILE_COUNT )); do
 		files[$atfile]=$TESTDIR/file.$atfile
-		newcksum=$($CKSUM ${files[$atfile]})
+		newcksum=$(cksum ${files[$atfile]})
 		if [[ $newcksum != ${cksums[$atfile]} ]]; then
 			(( failedcount = failedcount + 1 ))
 		fi
-		$RM -f ${files[$atfile]}
+		rm -f ${files[$atfile]}
 		(( atfile = atfile + 1 ))
 	done
 
--- old/usr/src/test/zfs-tests/tests/functional/slog/cleanup.ksh	Wed Aug 31 16:21:31 2016
+++ new/usr/src/test/zfs-tests/tests/functional/slog/cleanup.ksh	Wed Aug 31 16:21:31 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -39,16 +39,16 @@
 fi
 
 if datasetexists $TESTPOOL ; then
-	log_must $ZPOOL destroy -f $TESTPOOL
+	log_must zpool destroy -f $TESTPOOL
 fi
 if datasetexists $TESTPOOL2 ; then
-	log_must $ZPOOL destroy -f $TESTPOOL2
+	log_must zpool destroy -f $TESTPOOL2
 fi
 if [[ -d $VDIR ]]; then
-	log_must $RM -rf $VDIR
+	log_must rm -rf $VDIR
 fi
 if [[ -d $VDIR2 ]]; then
-	log_must $RM -rf $VDIR2
+	log_must rm -rf $VDIR2
 fi
 
 log_pass
--- old/usr/src/test/zfs-tests/tests/functional/slog/setup.ksh	Wed Aug 31 16:21:31 2016
+++ new/usr/src/test/zfs-tests/tests/functional/slog/setup.ksh	Wed Aug 31 16:21:31 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -39,12 +39,12 @@
 fi
 
 if [[ -d $VDEV ]]; then
-	log_must $RM -rf $VDIR
+	log_must rm -rf $VDIR
 fi
 if [[ -d $VDEV2 ]]; then
-	log_must $RM -rf $VDIR2
+	log_must rm -rf $VDIR2
 fi
-log_must $MKDIR -p $VDIR $VDIR2
-log_must $MKFILE $MINVDEVSIZE $VDEV $SDEV $LDEV $VDEV2 $SDEV2 $LDEV2
+log_must mkdir -p $VDIR $VDIR2
+log_must mkfile $MINVDEVSIZE $VDEV $SDEV $LDEV $VDEV2 $SDEV2 $LDEV2
 
 log_pass
--- old/usr/src/test/zfs-tests/tests/functional/slog/slog.kshlib	Wed Aug 31 16:21:31 2016
+++ new/usr/src/test/zfs-tests/tests/functional/slog/slog.kshlib	Wed Aug 31 16:21:31 2016
@@ -25,7 +25,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -34,10 +34,10 @@
 function cleanup
 {
 	if datasetexists $TESTPOOL ; then
-		log_must $ZPOOL destroy -f $TESTPOOL
+		log_must zpool destroy -f $TESTPOOL
 	fi
 	if datasetexists $TESTPOOL2 ; then
-		log_must $ZPOOL destroy -f $TESTPOOL2
+		log_must zpool destroy -f $TESTPOOL2
 	fi
 }
 
@@ -51,17 +51,17 @@
 	typeset pool=$1
 
 	typeset -i ret=0
-	$ZPOOL status -xv $pool > /dev/null 2>&1
+	zpool status -xv $pool > /dev/null 2>&1
 	ret=$?
 
-	$ZPOOL iostat > /dev/null 2>&1
+	zpool iostat > /dev/null 2>&1
 	((ret |= $?))
 
 	typeset mntpnt=$(get_prop mountpoint $pool)
-	$DD if=/dev/random of=$mntpnt/testfile.$$ &
+	dd if=/dev/random of=$mntpnt/testfile.$$ &
 	typeset pid=$!
 
-	$ZPOOL iostat -v 1 3 > /dev/null
+	zpool iostat -v 1 3 > /dev/null
 	((ret |= $?))
 
 	kill -9 $pid
@@ -94,7 +94,7 @@
 	#
 	# mirror:/disks/d ONLINE mirror:/disks/e ONLINE stripe:/disks/f ONLINE
 	#
-	set -A dev_stat_tab $($ZPOOL status -v $pool | $NAWK 'BEGIN {start=0} \
+	set -A dev_stat_tab $(zpool status -v $pool | nawk 'BEGIN {start=0} \
 				/\tlogs/ {start=1}
 				/\tmirror/ || /\tspares/ || /^$/ {start=0}
 				(start==1) && /\t  (\/|[a-zA-Z])/ \
--- old/usr/src/test/zfs-tests/tests/functional/slog/slog_001_pos.ksh	Wed Aug 31 16:21:31 2016
+++ new/usr/src/test/zfs-tests/tests/functional/slog/slog_001_pos.ksh	Wed Aug 31 16:21:31 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/slog/slog.kshlib
@@ -52,7 +52,7 @@
 	do
 		for logtype in "" "mirror"
 		do
-			log_must $ZPOOL create $TESTPOOL $type $VDEV \
+			log_must zpool create $TESTPOOL $type $VDEV \
 				$spare $SDEV log $logtype $LDEV
 			log_must display_status $TESTPOOL
 
@@ -60,7 +60,7 @@
 			log_must verify_slog_device \
 				$TESTPOOL $ldev 'ONLINE' $logtype
 
-			log_must $ZPOOL destroy -f $TESTPOOL
+			log_must zpool destroy -f $TESTPOOL
 		done
 	done
 done
--- old/usr/src/test/zfs-tests/tests/functional/slog/slog_002_pos.ksh	Wed Aug 31 16:21:31 2016
+++ new/usr/src/test/zfs-tests/tests/functional/slog/slog_002_pos.ksh	Wed Aug 31 16:21:31 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/slog/slog.kshlib
@@ -53,13 +53,13 @@
 	do
 		for logtype in "" "mirror"
 		do
-			log_must $ZPOOL create $TESTPOOL $type $VDEV $spare $SDEV
-			log_must $ZPOOL add $TESTPOOL log $logtype $LDEV
+			log_must zpool create $TESTPOOL $type $VDEV $spare $SDEV
+			log_must zpool add $TESTPOOL log $logtype $LDEV
 			log_must display_status $TESTPOOL
 			typeset ldev=$(random_get $LDEV)
 			log_must verify_slog_device \
 				$TESTPOOL $ldev 'ONLINE' $logtype
-			log_must $ZPOOL destroy -f $TESTPOOL
+			log_must zpool destroy -f $TESTPOOL
 		done
 	done
 done
--- old/usr/src/test/zfs-tests/tests/functional/slog/slog_003_pos.ksh	Wed Aug 31 16:21:31 2016
+++ new/usr/src/test/zfs-tests/tests/functional/slog/slog_003_pos.ksh	Wed Aug 31 16:21:31 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/slog/slog.kshlib
@@ -55,9 +55,9 @@
 		do
 			for newtype in "" "mirror"
 			do
-				log_must $ZPOOL create $TESTPOOL $type $VDEV \
+				log_must zpool create $TESTPOOL $type $VDEV \
 					$spare $SDEV log $logtype $LDEV
-				log_must $ZPOOL add $TESTPOOL \
+				log_must zpool add $TESTPOOL \
 					log $newtype $LDEV2
 
 				log_must display_status $TESTPOOL
@@ -65,7 +65,7 @@
 				log_must verify_slog_device \
 					$TESTPOOL $ldev 'ONLINE' $newtype
 
-				log_must $ZPOOL destroy -f $TESTPOOL
+				log_must zpool destroy -f $TESTPOOL
 			done
 		done
 	done
--- old/usr/src/test/zfs-tests/tests/functional/slog/slog_004_pos.ksh	Wed Aug 31 16:21:31 2016
+++ new/usr/src/test/zfs-tests/tests/functional/slog/slog_004_pos.ksh	Wed Aug 31 16:21:31 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/slog/slog.kshlib
@@ -53,12 +53,12 @@
 	do
 		for logtype in "" "mirror"
 		do
-			log_must $ZPOOL create $TESTPOOL $type $VDEV \
+			log_must zpool create $TESTPOOL $type $VDEV \
 				$spare $SDEV log $logtype $LDEV
 
 			ldev=$(random_get $LDEV)
 			typeset ldev2=$(random_get $LDEV2)
-			log_must $ZPOOL attach $TESTPOOL $ldev $ldev2
+			log_must zpool attach $TESTPOOL $ldev $ldev2
 			log_must display_status $TESTPOOL
 			log_must verify_slog_device \
 				$TESTPOOL $ldev 'ONLINE' 'mirror'
@@ -65,7 +65,7 @@
 			log_must verify_slog_device \
 				$TESTPOOL $ldev2 'ONLINE' 'mirror'
 
-			log_must $ZPOOL destroy -f $TESTPOOL
+			log_must zpool destroy -f $TESTPOOL
 		done
 	done
 done
--- old/usr/src/test/zfs-tests/tests/functional/slog/slog_005_pos.ksh	Wed Aug 31 16:21:32 2016
+++ new/usr/src/test/zfs-tests/tests/functional/slog/slog_005_pos.ksh	Wed Aug 31 16:21:32 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/slog/slog.kshlib
@@ -51,14 +51,14 @@
 do
 	for spare in "" "spare"
 	do
-		log_must $ZPOOL create $TESTPOOL $type $VDEV $spare $SDEV \
+		log_must zpool create $TESTPOOL $type $VDEV $spare $SDEV \
 			log mirror $LDEV mirror $LDEV2
 		ldev=$(random_get $LDEV $LDEV2)
-		log_must $ZPOOL detach $TESTPOOL $ldev
+		log_must zpool detach $TESTPOOL $ldev
 		log_must display_status $TESTPOOL
 		log_mustnot verify_slog_device $TESTPOOL $ldev 'ONLINE' 'mirror'
 
-		log_must $ZPOOL destroy -f $TESTPOOL
+		log_must zpool destroy -f $TESTPOOL
 	done
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/slog/slog_006_pos.ksh	Wed Aug 31 16:21:32 2016
+++ new/usr/src/test/zfs-tests/tests/functional/slog/slog_006_pos.ksh	Wed Aug 31 16:21:32 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/slog/slog.kshlib
@@ -53,18 +53,18 @@
 	do
 		for logtype in "" "mirror"
 		do
-			log_must $ZPOOL create $TESTPOOL $type $VDEV \
+			log_must zpool create $TESTPOOL $type $VDEV \
 				$spare $SDEV log $logtype $LDEV
 			sdev=$(random_get $LDEV)
 			tdev=$(random_get $LDEV2)
-			log_must $ZPOOL replace $TESTPOOL $sdev $tdev
+			log_must zpool replace $TESTPOOL $sdev $tdev
 			log_must display_status $TESTPOOL
 			# sleep 15 to make sure replacement completely.
-			log_must $SLEEP 15
+			log_must sleep 15
 			log_must verify_slog_device \
 				$TESTPOOL $tdev 'ONLINE' $logtype
 
-			log_must $ZPOOL destroy -f $TESTPOOL
+			log_must zpool destroy -f $TESTPOOL
 		done
 	done
 done
--- old/usr/src/test/zfs-tests/tests/functional/slog/slog_007_pos.ksh	Wed Aug 31 16:21:32 2016
+++ new/usr/src/test/zfs-tests/tests/functional/slog/slog_007_pos.ksh	Wed Aug 31 16:21:32 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/slog/slog.kshlib
@@ -59,7 +59,7 @@
 			# Create pool which devices resider in different
 			# directory
 			#
-			log_must $ZPOOL create $TESTPOOL $type $VDEV \
+			log_must zpool create $TESTPOOL $type $VDEV \
 				$spare $SDEV log $logtype $LDEV $LDEV2
 			ldev=$(random_get $LDEV $LDEV2)
 			log_must verify_slog_device \
@@ -68,8 +68,8 @@
 			#
 			# Nomal export/import operating
 			#
-			log_must $ZPOOL export $TESTPOOL
-			log_must $ZPOOL import -d $VDIR -d $VDIR2 $TESTPOOL
+			log_must zpool export $TESTPOOL
+			log_must zpool import -d $VDIR -d $VDIR2 $TESTPOOL
 			log_must display_status $TESTPOOL
 			ldev=$(random_get $LDEV $LDEV2)
 			log_must verify_slog_device \
@@ -78,14 +78,14 @@
 			#
 			# Destroy the pool and import again
 			#
-			log_must $ZPOOL destroy $TESTPOOL
-			log_must $ZPOOL import -Df -d $VDIR -d $VDIR2 $TESTPOOL
+			log_must zpool destroy $TESTPOOL
+			log_must zpool import -Df -d $VDIR -d $VDIR2 $TESTPOOL
 			log_must display_status $TESTPOOL
 			ldev=$(random_get $LDEV $LDEV2)
 			log_must verify_slog_device \
 				$TESTPOOL $ldev 'ONLINE' $logtype
 
-			log_must $ZPOOL destroy -f $TESTPOOL
+			log_must zpool destroy -f $TESTPOOL
 		done
 	done
 done
--- old/usr/src/test/zfs-tests/tests/functional/slog/slog_008_neg.ksh	Wed Aug 31 16:21:32 2016
+++ new/usr/src/test/zfs-tests/tests/functional/slog/slog_008_neg.ksh	Wed Aug 31 16:21:32 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/slog/slog.kshlib
@@ -51,7 +51,7 @@
 	do
 		for logtype in "raidz" "raidz1" "raidz2"
 		do
-			log_mustnot $ZPOOL create $TESTPOOL $type $VDEV \
+			log_mustnot zpool create $TESTPOOL $type $VDEV \
 				$spare $SDEV log $logtype $LDEV $LDEV2
 			ldev=$(random_get $LDEV $LDEV2)
 			log_mustnot verify_slog_device \
--- old/usr/src/test/zfs-tests/tests/functional/slog/slog_009_neg.ksh	Wed Aug 31 16:21:32 2016
+++ new/usr/src/test/zfs-tests/tests/functional/slog/slog_009_neg.ksh	Wed Aug 31 16:21:32 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/slog/slog.kshlib
@@ -53,15 +53,15 @@
 		for logtype in "raidz" "raidz1" "raidz2"
 		do
 			log=$(random_get_with_non "log")
-			log_must $ZPOOL create $TESTPOOL $type $VDEV \
+			log_must zpool create $TESTPOOL $type $VDEV \
 				$spare $SDEV $log $LDEV
 
-			log_mustnot $ZPOOL add $TESTPOOL log $logtype $LDEV2
+			log_mustnot zpool add $TESTPOOL log $logtype $LDEV2
 			ldev=$(random_get $LDEV2)
 			log_mustnot verify_slog_device \
 				$TESTPOOL $ldev 'ONLINE' $logtype
 
-			log_must $ZPOOL destroy $TESTPOOL
+			log_must zpool destroy $TESTPOOL
 		done
 	done
 done
--- old/usr/src/test/zfs-tests/tests/functional/slog/slog_010_neg.ksh	Wed Aug 31 16:21:32 2016
+++ new/usr/src/test/zfs-tests/tests/functional/slog/slog_010_neg.ksh	Wed Aug 31 16:21:32 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/slog/slog.kshlib
@@ -47,17 +47,17 @@
 log_assert "Slog device can not be replaced with spare device."
 log_onexit cleanup
 
-log_must $ZPOOL create $TESTPOOL $VDEV spare $SDEV log $LDEV
+log_must zpool create $TESTPOOL $VDEV spare $SDEV log $LDEV
 sdev=$(random_get $SDEV)
 ldev=$(random_get $LDEV)
-log_mustnot $ZPOOL replace $TESTPOOL $ldev $sdev
+log_mustnot zpool replace $TESTPOOL $ldev $sdev
 log_mustnot verify_slog_device $TESTPOOL $sdev 'ONLINE'
 log_must verify_slog_device $TESTPOOL $ldev 'ONLINE'
 
-log_must $ZPOOL create $TESTPOOL2 $VDEV2 spare $SDEV2
+log_must zpool create $TESTPOOL2 $VDEV2 spare $SDEV2
 sdev2=$(random_get $SDEV2)
-log_mustnot $ZPOOL replace $TESTPOOL $ldev $sdev2
-log_mustnot $ZPOOL replace -f $TESTPOOL $ldev $sdev2
+log_mustnot zpool replace $TESTPOOL $ldev $sdev2
+log_mustnot zpool replace -f $TESTPOOL $ldev $sdev2
 log_mustnot verify_slog_device $TESTPOOL $sdev2 'ONLINE'
 log_must verify_slog_device $TESTPOOL $ldev 'ONLINE'
 
--- old/usr/src/test/zfs-tests/tests/functional/slog/slog_011_neg.ksh	Wed Aug 31 16:21:32 2016
+++ new/usr/src/test/zfs-tests/tests/functional/slog/slog_011_neg.ksh	Wed Aug 31 16:21:32 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/slog/slog.kshlib
@@ -51,19 +51,19 @@
 do
 	for spare in "" "spare"
 	do
-		log_must $ZPOOL create $TESTPOOL $type $VDEV $spare $SDEV \
+		log_must zpool create $TESTPOOL $type $VDEV $spare $SDEV \
 			log mirror $LDEV mirror $LDEV2
 
 		ldev=$(random_get $LDEV $LDEV2)
-		log_must $ZPOOL offline $TESTPOOL $ldev
+		log_must zpool offline $TESTPOOL $ldev
 		log_must display_status $TESTPOOL
 		log_must verify_slog_device $TESTPOOL $ldev 'OFFLINE' 'mirror'
 
-		log_must $ZPOOL online $TESTPOOL $ldev
+		log_must zpool online $TESTPOOL $ldev
 		log_must display_status $TESTPOOL
 		log_must verify_slog_device $TESTPOOL $ldev 'ONLINE' 'mirror'
 
-		log_must $ZPOOL destroy -f $TESTPOOL
+		log_must zpool destroy -f $TESTPOOL
 	done
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/slog/slog_012_neg.ksh	Wed Aug 31 16:21:32 2016
+++ new/usr/src/test/zfs-tests/tests/functional/slog/slog_012_neg.ksh	Wed Aug 31 16:21:32 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/slog/slog.kshlib
@@ -50,7 +50,7 @@
 do
 	for spare in "" "spare"
 	do
-		log_must $ZPOOL create $TESTPOOL $type $VDEV $spare $SDEV \
+		log_must zpool create $TESTPOOL $type $VDEV $spare $SDEV \
 			log mirror $LDEV
 
 		mntpnt=$(get_prop mountpoint $TESTPOOL)
@@ -57,16 +57,16 @@
 		#
 		# Create file in pool to trigger writting in slog devices
 		#
-		log_must $DD if=/dev/random of=$mntpnt/testfile.$$ count=100
+		log_must dd if=/dev/random of=$mntpnt/testfile.$$ count=100
 
 		ldev=$(random_get $LDEV)
-		log_must $MKFILE $MINVDEVSIZE $ldev
-		log_must $ZPOOL scrub $TESTPOOL
+		log_must mkfile $MINVDEVSIZE $ldev
+		log_must zpool scrub $TESTPOOL
 
 		log_must display_status $TESTPOOL
 		log_must verify_slog_device $TESTPOOL $ldev 'UNAVAIL' 'mirror'
 
-		log_must $ZPOOL destroy -f $TESTPOOL
+		log_must zpool destroy -f $TESTPOOL
 	done
 done
 
